### Method

# EBookContacts ContactAddress read_attr

since: 3.60

#### Declaration [src]

    void
    e_contact_address_read_attr (
      EContactAddress* self,
      EVCardAttribute* source
    )

#### Description [src]

Populates `self` from the `source` attribute.

Available since: 3.60

#### Parameters

`source`

  Type: `EVCardAttribute`

  An ADR `EVCardAttribute`.

  The data is owned by the caller of the method.